IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.200.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
2.200.0.0- Broadcast address
2.207.255.255- First usable
2.200.0.1- Last usable
2.207.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02C80000· Integer46661632to47185919 - Reverse DNS zones
200.2.in-addr.arpa201.2.in-addr.arpa202.2.in-addr.arpa203.2.in-addr.arpa204.2.in-addr.arpa205.2.in-addr.arpa206.2.in-addr.arpa207.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.11001000.00000000.00000000 | 2.200.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000010.11001000.00000000.00000000 | 2.200.0.0 |
| Broadcast | 00000010.11001111.11111111.11111111 | 2.207.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
2.200.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.200.0.0/21 | 2.200.0.1 to 2.200.7.254 | 2.200.7.255 | 2,046 |
| 2 | 2.200.8.0/21 | 2.200.8.1 to 2.200.15.254 | 2.200.15.255 | 2,046 |
| 3 | 2.200.16.0/21 | 2.200.16.1 to 2.200.23.254 | 2.200.23.255 | 2,046 |
| 4 | 2.200.24.0/21 | 2.200.24.1 to 2.200.31.254 | 2.200.31.255 | 2,046 |
| 5 | 2.200.32.0/21 | 2.200.32.1 to 2.200.39.254 | 2.200.39.255 | 2,046 |
| 6 | 2.200.40.0/21 | 2.200.40.1 to 2.200.47.254 | 2.200.47.255 | 2,046 |
| 7 | 2.200.48.0/21 | 2.200.48.1 to 2.200.55.254 | 2.200.55.255 | 2,046 |
| 8 | 2.200.56.0/21 | 2.200.56.1 to 2.200.63.254 | 2.200.63.255 | 2,046 |
| 9 | 2.200.64.0/21 | 2.200.64.1 to 2.200.71.254 | 2.200.71.255 | 2,046 |
| 10 | 2.200.72.0/21 | 2.200.72.1 to 2.200.79.254 | 2.200.79.255 | 2,046 |
| 11 | 2.200.80.0/21 | 2.200.80.1 to 2.200.87.254 | 2.200.87.255 | 2,046 |
| 12 | 2.200.88.0/21 | 2.200.88.1 to 2.200.95.254 | 2.200.95.255 | 2,046 |
| 13 | 2.200.96.0/21 | 2.200.96.1 to 2.200.103.254 | 2.200.103.255 | 2,046 |
| 14 | 2.200.104.0/21 | 2.200.104.1 to 2.200.111.254 | 2.200.111.255 | 2,046 |
| 15 | 2.200.112.0/21 | 2.200.112.1 to 2.200.119.254 | 2.200.119.255 | 2,046 |
| 16 | 2.200.120.0/21 | 2.200.120.1 to 2.200.127.254 | 2.200.127.255 | 2,046 |
| 17 | 2.200.128.0/21 | 2.200.128.1 to 2.200.135.254 | 2.200.135.255 | 2,046 |
| 18 | 2.200.136.0/21 | 2.200.136.1 to 2.200.143.254 | 2.200.143.255 | 2,046 |
| 19 | 2.200.144.0/21 | 2.200.144.1 to 2.200.151.254 | 2.200.151.255 | 2,046 |
| 20 | 2.200.152.0/21 | 2.200.152.1 to 2.200.159.254 | 2.200.159.255 | 2,046 |
| 21 | 2.200.160.0/21 | 2.200.160.1 to 2.200.167.254 | 2.200.167.255 | 2,046 |
| 22 | 2.200.168.0/21 | 2.200.168.1 to 2.200.175.254 | 2.200.175.255 | 2,046 |
| 23 | 2.200.176.0/21 | 2.200.176.1 to 2.200.183.254 | 2.200.183.255 | 2,046 |
| 24 | 2.200.184.0/21 | 2.200.184.1 to 2.200.191.254 | 2.200.191.255 | 2,046 |
| 25 | 2.200.192.0/21 | 2.200.192.1 to 2.200.199.254 | 2.200.199.255 | 2,046 |
| 26 | 2.200.200.0/21 | 2.200.200.1 to 2.200.207.254 | 2.200.207.255 | 2,046 |
| 27 | 2.200.208.0/21 | 2.200.208.1 to 2.200.215.254 | 2.200.215.255 | 2,046 |
| 28 | 2.200.216.0/21 | 2.200.216.1 to 2.200.223.254 | 2.200.223.255 | 2,046 |
| 29 | 2.200.224.0/21 | 2.200.224.1 to 2.200.231.254 | 2.200.231.255 | 2,046 |
| 30 | 2.200.232.0/21 | 2.200.232.1 to 2.200.239.254 | 2.200.239.255 | 2,046 |
| 31 | 2.200.240.0/21 | 2.200.240.1 to 2.200.247.254 | 2.200.247.255 | 2,046 |
| 32 | 2.200.248.0/21 | 2.200.248.1 to 2.200.255.254 | 2.200.255.255 | 2,046 |
| 33 | 2.201.0.0/21 | 2.201.0.1 to 2.201.7.254 | 2.201.7.255 | 2,046 |
| 34 | 2.201.8.0/21 | 2.201.8.1 to 2.201.15.254 | 2.201.15.255 | 2,046 |
| 35 | 2.201.16.0/21 | 2.201.16.1 to 2.201.23.254 | 2.201.23.255 | 2,046 |
| 36 | 2.201.24.0/21 | 2.201.24.1 to 2.201.31.254 | 2.201.31.255 | 2,046 |
| 37 | 2.201.32.0/21 | 2.201.32.1 to 2.201.39.254 | 2.201.39.255 | 2,046 |
| 38 | 2.201.40.0/21 | 2.201.40.1 to 2.201.47.254 | 2.201.47.255 | 2,046 |
| 39 | 2.201.48.0/21 | 2.201.48.1 to 2.201.55.254 | 2.201.55.255 | 2,046 |
| 40 | 2.201.56.0/21 | 2.201.56.1 to 2.201.63.254 | 2.201.63.255 | 2,046 |
| 41 | 2.201.64.0/21 | 2.201.64.1 to 2.201.71.254 | 2.201.71.255 | 2,046 |
| 42 | 2.201.72.0/21 | 2.201.72.1 to 2.201.79.254 | 2.201.79.255 | 2,046 |
| 43 | 2.201.80.0/21 | 2.201.80.1 to 2.201.87.254 | 2.201.87.255 | 2,046 |
| 44 | 2.201.88.0/21 | 2.201.88.1 to 2.201.95.254 | 2.201.95.255 | 2,046 |
| 45 | 2.201.96.0/21 | 2.201.96.1 to 2.201.103.254 | 2.201.103.255 | 2,046 |
| 46 | 2.201.104.0/21 | 2.201.104.1 to 2.201.111.254 | 2.201.111.255 | 2,046 |
| 47 | 2.201.112.0/21 | 2.201.112.1 to 2.201.119.254 | 2.201.119.255 | 2,046 |
| 48 | 2.201.120.0/21 | 2.201.120.1 to 2.201.127.254 | 2.201.127.255 | 2,046 |
| 49 | 2.201.128.0/21 | 2.201.128.1 to 2.201.135.254 | 2.201.135.255 | 2,046 |
| 50 | 2.201.136.0/21 | 2.201.136.1 to 2.201.143.254 | 2.201.143.255 | 2,046 |
| 51 | 2.201.144.0/21 | 2.201.144.1 to 2.201.151.254 | 2.201.151.255 | 2,046 |
| 52 | 2.201.152.0/21 | 2.201.152.1 to 2.201.159.254 | 2.201.159.255 | 2,046 |
| 53 | 2.201.160.0/21 | 2.201.160.1 to 2.201.167.254 | 2.201.167.255 | 2,046 |
| 54 | 2.201.168.0/21 | 2.201.168.1 to 2.201.175.254 | 2.201.175.255 | 2,046 |
| 55 | 2.201.176.0/21 | 2.201.176.1 to 2.201.183.254 | 2.201.183.255 | 2,046 |
| 56 | 2.201.184.0/21 | 2.201.184.1 to 2.201.191.254 | 2.201.191.255 | 2,046 |
| 57 | 2.201.192.0/21 | 2.201.192.1 to 2.201.199.254 | 2.201.199.255 | 2,046 |
| 58 | 2.201.200.0/21 | 2.201.200.1 to 2.201.207.254 | 2.201.207.255 | 2,046 |
| 59 | 2.201.208.0/21 | 2.201.208.1 to 2.201.215.254 | 2.201.215.255 | 2,046 |
| 60 | 2.201.216.0/21 | 2.201.216.1 to 2.201.223.254 | 2.201.223.255 | 2,046 |
| 61 | 2.201.224.0/21 | 2.201.224.1 to 2.201.231.254 | 2.201.231.255 | 2,046 |
| 62 | 2.201.232.0/21 | 2.201.232.1 to 2.201.239.254 | 2.201.239.255 | 2,046 |
| 63 | 2.201.240.0/21 | 2.201.240.1 to 2.201.247.254 | 2.201.247.255 | 2,046 |
| 64 | 2.201.248.0/21 | 2.201.248.1 to 2.201.255.254 | 2.201.255.255 | 2,046 |
| 65 | 2.202.0.0/21 | 2.202.0.1 to 2.202.7.254 | 2.202.7.255 | 2,046 |
| 66 | 2.202.8.0/21 | 2.202.8.1 to 2.202.15.254 | 2.202.15.255 | 2,046 |
| 67 | 2.202.16.0/21 | 2.202.16.1 to 2.202.23.254 | 2.202.23.255 | 2,046 |
| 68 | 2.202.24.0/21 | 2.202.24.1 to 2.202.31.254 | 2.202.31.255 | 2,046 |
| 69 | 2.202.32.0/21 | 2.202.32.1 to 2.202.39.254 | 2.202.39.255 | 2,046 |
| 70 | 2.202.40.0/21 | 2.202.40.1 to 2.202.47.254 | 2.202.47.255 | 2,046 |
| 71 | 2.202.48.0/21 | 2.202.48.1 to 2.202.55.254 | 2.202.55.255 | 2,046 |
| 72 | 2.202.56.0/21 | 2.202.56.1 to 2.202.63.254 | 2.202.63.255 | 2,046 |
| 73 | 2.202.64.0/21 | 2.202.64.1 to 2.202.71.254 | 2.202.71.255 | 2,046 |
| 74 | 2.202.72.0/21 | 2.202.72.1 to 2.202.79.254 | 2.202.79.255 | 2,046 |
| 75 | 2.202.80.0/21 | 2.202.80.1 to 2.202.87.254 | 2.202.87.255 | 2,046 |
| 76 | 2.202.88.0/21 | 2.202.88.1 to 2.202.95.254 | 2.202.95.255 | 2,046 |
| 77 | 2.202.96.0/21 | 2.202.96.1 to 2.202.103.254 | 2.202.103.255 | 2,046 |
| 78 | 2.202.104.0/21 | 2.202.104.1 to 2.202.111.254 | 2.202.111.255 | 2,046 |
| 79 | 2.202.112.0/21 | 2.202.112.1 to 2.202.119.254 | 2.202.119.255 | 2,046 |
| 80 | 2.202.120.0/21 | 2.202.120.1 to 2.202.127.254 | 2.202.127.255 | 2,046 |
| 81 | 2.202.128.0/21 | 2.202.128.1 to 2.202.135.254 | 2.202.135.255 | 2,046 |
| 82 | 2.202.136.0/21 | 2.202.136.1 to 2.202.143.254 | 2.202.143.255 | 2,046 |
| 83 | 2.202.144.0/21 | 2.202.144.1 to 2.202.151.254 | 2.202.151.255 | 2,046 |
| 84 | 2.202.152.0/21 | 2.202.152.1 to 2.202.159.254 | 2.202.159.255 | 2,046 |
| 85 | 2.202.160.0/21 | 2.202.160.1 to 2.202.167.254 | 2.202.167.255 | 2,046 |
| 86 | 2.202.168.0/21 | 2.202.168.1 to 2.202.175.254 | 2.202.175.255 | 2,046 |
| 87 | 2.202.176.0/21 | 2.202.176.1 to 2.202.183.254 | 2.202.183.255 | 2,046 |
| 88 | 2.202.184.0/21 | 2.202.184.1 to 2.202.191.254 | 2.202.191.255 | 2,046 |
| 89 | 2.202.192.0/21 | 2.202.192.1 to 2.202.199.254 | 2.202.199.255 | 2,046 |
| 90 | 2.202.200.0/21 | 2.202.200.1 to 2.202.207.254 | 2.202.207.255 | 2,046 |
| 91 | 2.202.208.0/21 | 2.202.208.1 to 2.202.215.254 | 2.202.215.255 | 2,046 |
| 92 | 2.202.216.0/21 | 2.202.216.1 to 2.202.223.254 | 2.202.223.255 | 2,046 |
| 93 | 2.202.224.0/21 | 2.202.224.1 to 2.202.231.254 | 2.202.231.255 | 2,046 |
| 94 | 2.202.232.0/21 | 2.202.232.1 to 2.202.239.254 | 2.202.239.255 | 2,046 |
| 95 | 2.202.240.0/21 | 2.202.240.1 to 2.202.247.254 | 2.202.247.255 | 2,046 |
| 96 | 2.202.248.0/21 | 2.202.248.1 to 2.202.255.254 | 2.202.255.255 | 2,046 |
| 97 | 2.203.0.0/21 | 2.203.0.1 to 2.203.7.254 | 2.203.7.255 | 2,046 |
| 98 | 2.203.8.0/21 | 2.203.8.1 to 2.203.15.254 | 2.203.15.255 | 2,046 |
| 99 | 2.203.16.0/21 | 2.203.16.1 to 2.203.23.254 | 2.203.23.255 | 2,046 |
| 100 | 2.203.24.0/21 | 2.203.24.1 to 2.203.31.254 | 2.203.31.255 | 2,046 |
| 101 | 2.203.32.0/21 | 2.203.32.1 to 2.203.39.254 | 2.203.39.255 | 2,046 |
| 102 | 2.203.40.0/21 | 2.203.40.1 to 2.203.47.254 | 2.203.47.255 | 2,046 |
| 103 | 2.203.48.0/21 | 2.203.48.1 to 2.203.55.254 | 2.203.55.255 | 2,046 |
| 104 | 2.203.56.0/21 | 2.203.56.1 to 2.203.63.254 | 2.203.63.255 | 2,046 |
| 105 | 2.203.64.0/21 | 2.203.64.1 to 2.203.71.254 | 2.203.71.255 | 2,046 |
| 106 | 2.203.72.0/21 | 2.203.72.1 to 2.203.79.254 | 2.203.79.255 | 2,046 |
| 107 | 2.203.80.0/21 | 2.203.80.1 to 2.203.87.254 | 2.203.87.255 | 2,046 |
| 108 | 2.203.88.0/21 | 2.203.88.1 to 2.203.95.254 | 2.203.95.255 | 2,046 |
| 109 | 2.203.96.0/21 | 2.203.96.1 to 2.203.103.254 | 2.203.103.255 | 2,046 |
| 110 | 2.203.104.0/21 | 2.203.104.1 to 2.203.111.254 | 2.203.111.255 | 2,046 |
| 111 | 2.203.112.0/21 | 2.203.112.1 to 2.203.119.254 | 2.203.119.255 | 2,046 |
| 112 | 2.203.120.0/21 | 2.203.120.1 to 2.203.127.254 | 2.203.127.255 | 2,046 |
| 113 | 2.203.128.0/21 | 2.203.128.1 to 2.203.135.254 | 2.203.135.255 | 2,046 |
| 114 | 2.203.136.0/21 | 2.203.136.1 to 2.203.143.254 | 2.203.143.255 | 2,046 |
| 115 | 2.203.144.0/21 | 2.203.144.1 to 2.203.151.254 | 2.203.151.255 | 2,046 |
| 116 | 2.203.152.0/21 | 2.203.152.1 to 2.203.159.254 | 2.203.159.255 | 2,046 |
| 117 | 2.203.160.0/21 | 2.203.160.1 to 2.203.167.254 | 2.203.167.255 | 2,046 |
| 118 | 2.203.168.0/21 | 2.203.168.1 to 2.203.175.254 | 2.203.175.255 | 2,046 |
| 119 | 2.203.176.0/21 | 2.203.176.1 to 2.203.183.254 | 2.203.183.255 | 2,046 |
| 120 | 2.203.184.0/21 | 2.203.184.1 to 2.203.191.254 | 2.203.191.255 | 2,046 |
| 121 | 2.203.192.0/21 | 2.203.192.1 to 2.203.199.254 | 2.203.199.255 | 2,046 |
| 122 | 2.203.200.0/21 | 2.203.200.1 to 2.203.207.254 | 2.203.207.255 | 2,046 |
| 123 | 2.203.208.0/21 | 2.203.208.1 to 2.203.215.254 | 2.203.215.255 | 2,046 |
| 124 | 2.203.216.0/21 | 2.203.216.1 to 2.203.223.254 | 2.203.223.255 | 2,046 |
| 125 | 2.203.224.0/21 | 2.203.224.1 to 2.203.231.254 | 2.203.231.255 | 2,046 |
| 126 | 2.203.232.0/21 | 2.203.232.1 to 2.203.239.254 | 2.203.239.255 | 2,046 |
| 127 | 2.203.240.0/21 | 2.203.240.1 to 2.203.247.254 | 2.203.247.255 | 2,046 |
| 128 | 2.203.248.0/21 | 2.203.248.1 to 2.203.255.254 | 2.203.255.255 | 2,046 |
| 129 | 2.204.0.0/21 | 2.204.0.1 to 2.204.7.254 | 2.204.7.255 | 2,046 |
| 130 | 2.204.8.0/21 | 2.204.8.1 to 2.204.15.254 | 2.204.15.255 | 2,046 |
| 131 | 2.204.16.0/21 | 2.204.16.1 to 2.204.23.254 | 2.204.23.255 | 2,046 |
| 132 | 2.204.24.0/21 | 2.204.24.1 to 2.204.31.254 | 2.204.31.255 | 2,046 |
| 133 | 2.204.32.0/21 | 2.204.32.1 to 2.204.39.254 | 2.204.39.255 | 2,046 |
| 134 | 2.204.40.0/21 | 2.204.40.1 to 2.204.47.254 | 2.204.47.255 | 2,046 |
| 135 | 2.204.48.0/21 | 2.204.48.1 to 2.204.55.254 | 2.204.55.255 | 2,046 |
| 136 | 2.204.56.0/21 | 2.204.56.1 to 2.204.63.254 | 2.204.63.255 | 2,046 |
| 137 | 2.204.64.0/21 | 2.204.64.1 to 2.204.71.254 | 2.204.71.255 | 2,046 |
| 138 | 2.204.72.0/21 | 2.204.72.1 to 2.204.79.254 | 2.204.79.255 | 2,046 |
| 139 | 2.204.80.0/21 | 2.204.80.1 to 2.204.87.254 | 2.204.87.255 | 2,046 |
| 140 | 2.204.88.0/21 | 2.204.88.1 to 2.204.95.254 | 2.204.95.255 | 2,046 |
| 141 | 2.204.96.0/21 | 2.204.96.1 to 2.204.103.254 | 2.204.103.255 | 2,046 |
| 142 | 2.204.104.0/21 | 2.204.104.1 to 2.204.111.254 | 2.204.111.255 | 2,046 |
| 143 | 2.204.112.0/21 | 2.204.112.1 to 2.204.119.254 | 2.204.119.255 | 2,046 |
| 144 | 2.204.120.0/21 | 2.204.120.1 to 2.204.127.254 | 2.204.127.255 | 2,046 |
| 145 | 2.204.128.0/21 | 2.204.128.1 to 2.204.135.254 | 2.204.135.255 | 2,046 |
| 146 | 2.204.136.0/21 | 2.204.136.1 to 2.204.143.254 | 2.204.143.255 | 2,046 |
| 147 | 2.204.144.0/21 | 2.204.144.1 to 2.204.151.254 | 2.204.151.255 | 2,046 |
| 148 | 2.204.152.0/21 | 2.204.152.1 to 2.204.159.254 | 2.204.159.255 | 2,046 |
| 149 | 2.204.160.0/21 | 2.204.160.1 to 2.204.167.254 | 2.204.167.255 | 2,046 |
| 150 | 2.204.168.0/21 | 2.204.168.1 to 2.204.175.254 | 2.204.175.255 | 2,046 |
| 151 | 2.204.176.0/21 | 2.204.176.1 to 2.204.183.254 | 2.204.183.255 | 2,046 |
| 152 | 2.204.184.0/21 | 2.204.184.1 to 2.204.191.254 | 2.204.191.255 | 2,046 |
| 153 | 2.204.192.0/21 | 2.204.192.1 to 2.204.199.254 | 2.204.199.255 | 2,046 |
| 154 | 2.204.200.0/21 | 2.204.200.1 to 2.204.207.254 | 2.204.207.255 | 2,046 |
| 155 | 2.204.208.0/21 | 2.204.208.1 to 2.204.215.254 | 2.204.215.255 | 2,046 |
| 156 | 2.204.216.0/21 | 2.204.216.1 to 2.204.223.254 | 2.204.223.255 | 2,046 |
| 157 | 2.204.224.0/21 | 2.204.224.1 to 2.204.231.254 | 2.204.231.255 | 2,046 |
| 158 | 2.204.232.0/21 | 2.204.232.1 to 2.204.239.254 | 2.204.239.255 | 2,046 |
| 159 | 2.204.240.0/21 | 2.204.240.1 to 2.204.247.254 | 2.204.247.255 | 2,046 |
| 160 | 2.204.248.0/21 | 2.204.248.1 to 2.204.255.254 | 2.204.255.255 | 2,046 |
| 161 | 2.205.0.0/21 | 2.205.0.1 to 2.205.7.254 | 2.205.7.255 | 2,046 |
| 162 | 2.205.8.0/21 | 2.205.8.1 to 2.205.15.254 | 2.205.15.255 | 2,046 |
| 163 | 2.205.16.0/21 | 2.205.16.1 to 2.205.23.254 | 2.205.23.255 | 2,046 |
| 164 | 2.205.24.0/21 | 2.205.24.1 to 2.205.31.254 | 2.205.31.255 | 2,046 |
| 165 | 2.205.32.0/21 | 2.205.32.1 to 2.205.39.254 | 2.205.39.255 | 2,046 |
| 166 | 2.205.40.0/21 | 2.205.40.1 to 2.205.47.254 | 2.205.47.255 | 2,046 |
| 167 | 2.205.48.0/21 | 2.205.48.1 to 2.205.55.254 | 2.205.55.255 | 2,046 |
| 168 | 2.205.56.0/21 | 2.205.56.1 to 2.205.63.254 | 2.205.63.255 | 2,046 |
| 169 | 2.205.64.0/21 | 2.205.64.1 to 2.205.71.254 | 2.205.71.255 | 2,046 |
| 170 | 2.205.72.0/21 | 2.205.72.1 to 2.205.79.254 | 2.205.79.255 | 2,046 |
| 171 | 2.205.80.0/21 | 2.205.80.1 to 2.205.87.254 | 2.205.87.255 | 2,046 |
| 172 | 2.205.88.0/21 | 2.205.88.1 to 2.205.95.254 | 2.205.95.255 | 2,046 |
| 173 | 2.205.96.0/21 | 2.205.96.1 to 2.205.103.254 | 2.205.103.255 | 2,046 |
| 174 | 2.205.104.0/21 | 2.205.104.1 to 2.205.111.254 | 2.205.111.255 | 2,046 |
| 175 | 2.205.112.0/21 | 2.205.112.1 to 2.205.119.254 | 2.205.119.255 | 2,046 |
| 176 | 2.205.120.0/21 | 2.205.120.1 to 2.205.127.254 | 2.205.127.255 | 2,046 |
| 177 | 2.205.128.0/21 | 2.205.128.1 to 2.205.135.254 | 2.205.135.255 | 2,046 |
| 178 | 2.205.136.0/21 | 2.205.136.1 to 2.205.143.254 | 2.205.143.255 | 2,046 |
| 179 | 2.205.144.0/21 | 2.205.144.1 to 2.205.151.254 | 2.205.151.255 | 2,046 |
| 180 | 2.205.152.0/21 | 2.205.152.1 to 2.205.159.254 | 2.205.159.255 | 2,046 |
| 181 | 2.205.160.0/21 | 2.205.160.1 to 2.205.167.254 | 2.205.167.255 | 2,046 |
| 182 | 2.205.168.0/21 | 2.205.168.1 to 2.205.175.254 | 2.205.175.255 | 2,046 |
| 183 | 2.205.176.0/21 | 2.205.176.1 to 2.205.183.254 | 2.205.183.255 | 2,046 |
| 184 | 2.205.184.0/21 | 2.205.184.1 to 2.205.191.254 | 2.205.191.255 | 2,046 |
| 185 | 2.205.192.0/21 | 2.205.192.1 to 2.205.199.254 | 2.205.199.255 | 2,046 |
| 186 | 2.205.200.0/21 | 2.205.200.1 to 2.205.207.254 | 2.205.207.255 | 2,046 |
| 187 | 2.205.208.0/21 | 2.205.208.1 to 2.205.215.254 | 2.205.215.255 | 2,046 |
| 188 | 2.205.216.0/21 | 2.205.216.1 to 2.205.223.254 | 2.205.223.255 | 2,046 |
| 189 | 2.205.224.0/21 | 2.205.224.1 to 2.205.231.254 | 2.205.231.255 | 2,046 |
| 190 | 2.205.232.0/21 | 2.205.232.1 to 2.205.239.254 | 2.205.239.255 | 2,046 |
| 191 | 2.205.240.0/21 | 2.205.240.1 to 2.205.247.254 | 2.205.247.255 | 2,046 |
| 192 | 2.205.248.0/21 | 2.205.248.1 to 2.205.255.254 | 2.205.255.255 | 2,046 |
| 193 | 2.206.0.0/21 | 2.206.0.1 to 2.206.7.254 | 2.206.7.255 | 2,046 |
| 194 | 2.206.8.0/21 | 2.206.8.1 to 2.206.15.254 | 2.206.15.255 | 2,046 |
| 195 | 2.206.16.0/21 | 2.206.16.1 to 2.206.23.254 | 2.206.23.255 | 2,046 |
| 196 | 2.206.24.0/21 | 2.206.24.1 to 2.206.31.254 | 2.206.31.255 | 2,046 |
| 197 | 2.206.32.0/21 | 2.206.32.1 to 2.206.39.254 | 2.206.39.255 | 2,046 |
| 198 | 2.206.40.0/21 | 2.206.40.1 to 2.206.47.254 | 2.206.47.255 | 2,046 |
| 199 | 2.206.48.0/21 | 2.206.48.1 to 2.206.55.254 | 2.206.55.255 | 2,046 |
| 200 | 2.206.56.0/21 | 2.206.56.1 to 2.206.63.254 | 2.206.63.255 | 2,046 |
| 201 | 2.206.64.0/21 | 2.206.64.1 to 2.206.71.254 | 2.206.71.255 | 2,046 |
| 202 | 2.206.72.0/21 | 2.206.72.1 to 2.206.79.254 | 2.206.79.255 | 2,046 |
| 203 | 2.206.80.0/21 | 2.206.80.1 to 2.206.87.254 | 2.206.87.255 | 2,046 |
| 204 | 2.206.88.0/21 | 2.206.88.1 to 2.206.95.254 | 2.206.95.255 | 2,046 |
| 205 | 2.206.96.0/21 | 2.206.96.1 to 2.206.103.254 | 2.206.103.255 | 2,046 |
| 206 | 2.206.104.0/21 | 2.206.104.1 to 2.206.111.254 | 2.206.111.255 | 2,046 |
| 207 | 2.206.112.0/21 | 2.206.112.1 to 2.206.119.254 | 2.206.119.255 | 2,046 |
| 208 | 2.206.120.0/21 | 2.206.120.1 to 2.206.127.254 | 2.206.127.255 | 2,046 |
| 209 | 2.206.128.0/21 | 2.206.128.1 to 2.206.135.254 | 2.206.135.255 | 2,046 |
| 210 | 2.206.136.0/21 | 2.206.136.1 to 2.206.143.254 | 2.206.143.255 | 2,046 |
| 211 | 2.206.144.0/21 | 2.206.144.1 to 2.206.151.254 | 2.206.151.255 | 2,046 |
| 212 | 2.206.152.0/21 | 2.206.152.1 to 2.206.159.254 | 2.206.159.255 | 2,046 |
| 213 | 2.206.160.0/21 | 2.206.160.1 to 2.206.167.254 | 2.206.167.255 | 2,046 |
| 214 | 2.206.168.0/21 | 2.206.168.1 to 2.206.175.254 | 2.206.175.255 | 2,046 |
| 215 | 2.206.176.0/21 | 2.206.176.1 to 2.206.183.254 | 2.206.183.255 | 2,046 |
| 216 | 2.206.184.0/21 | 2.206.184.1 to 2.206.191.254 | 2.206.191.255 | 2,046 |
| 217 | 2.206.192.0/21 | 2.206.192.1 to 2.206.199.254 | 2.206.199.255 | 2,046 |
| 218 | 2.206.200.0/21 | 2.206.200.1 to 2.206.207.254 | 2.206.207.255 | 2,046 |
| 219 | 2.206.208.0/21 | 2.206.208.1 to 2.206.215.254 | 2.206.215.255 | 2,046 |
| 220 | 2.206.216.0/21 | 2.206.216.1 to 2.206.223.254 | 2.206.223.255 | 2,046 |
| 221 | 2.206.224.0/21 | 2.206.224.1 to 2.206.231.254 | 2.206.231.255 | 2,046 |
| 222 | 2.206.232.0/21 | 2.206.232.1 to 2.206.239.254 | 2.206.239.255 | 2,046 |
| 223 | 2.206.240.0/21 | 2.206.240.1 to 2.206.247.254 | 2.206.247.255 | 2,046 |
| 224 | 2.206.248.0/21 | 2.206.248.1 to 2.206.255.254 | 2.206.255.255 | 2,046 |
| 225 | 2.207.0.0/21 | 2.207.0.1 to 2.207.7.254 | 2.207.7.255 | 2,046 |
| 226 | 2.207.8.0/21 | 2.207.8.1 to 2.207.15.254 | 2.207.15.255 | 2,046 |
| 227 | 2.207.16.0/21 | 2.207.16.1 to 2.207.23.254 | 2.207.23.255 | 2,046 |
| 228 | 2.207.24.0/21 | 2.207.24.1 to 2.207.31.254 | 2.207.31.255 | 2,046 |
| 229 | 2.207.32.0/21 | 2.207.32.1 to 2.207.39.254 | 2.207.39.255 | 2,046 |
| 230 | 2.207.40.0/21 | 2.207.40.1 to 2.207.47.254 | 2.207.47.255 | 2,046 |
| 231 | 2.207.48.0/21 | 2.207.48.1 to 2.207.55.254 | 2.207.55.255 | 2,046 |
| 232 | 2.207.56.0/21 | 2.207.56.1 to 2.207.63.254 | 2.207.63.255 | 2,046 |
| 233 | 2.207.64.0/21 | 2.207.64.1 to 2.207.71.254 | 2.207.71.255 | 2,046 |
| 234 | 2.207.72.0/21 | 2.207.72.1 to 2.207.79.254 | 2.207.79.255 | 2,046 |
| 235 | 2.207.80.0/21 | 2.207.80.1 to 2.207.87.254 | 2.207.87.255 | 2,046 |
| 236 | 2.207.88.0/21 | 2.207.88.1 to 2.207.95.254 | 2.207.95.255 | 2,046 |
| 237 | 2.207.96.0/21 | 2.207.96.1 to 2.207.103.254 | 2.207.103.255 | 2,046 |
| 238 | 2.207.104.0/21 | 2.207.104.1 to 2.207.111.254 | 2.207.111.255 | 2,046 |
| 239 | 2.207.112.0/21 | 2.207.112.1 to 2.207.119.254 | 2.207.119.255 | 2,046 |
| 240 | 2.207.120.0/21 | 2.207.120.1 to 2.207.127.254 | 2.207.127.255 | 2,046 |
| 241 | 2.207.128.0/21 | 2.207.128.1 to 2.207.135.254 | 2.207.135.255 | 2,046 |
| 242 | 2.207.136.0/21 | 2.207.136.1 to 2.207.143.254 | 2.207.143.255 | 2,046 |
| 243 | 2.207.144.0/21 | 2.207.144.1 to 2.207.151.254 | 2.207.151.255 | 2,046 |
| 244 | 2.207.152.0/21 | 2.207.152.1 to 2.207.159.254 | 2.207.159.255 | 2,046 |
| 245 | 2.207.160.0/21 | 2.207.160.1 to 2.207.167.254 | 2.207.167.255 | 2,046 |
| 246 | 2.207.168.0/21 | 2.207.168.1 to 2.207.175.254 | 2.207.175.255 | 2,046 |
| 247 | 2.207.176.0/21 | 2.207.176.1 to 2.207.183.254 | 2.207.183.255 | 2,046 |
| 248 | 2.207.184.0/21 | 2.207.184.1 to 2.207.191.254 | 2.207.191.255 | 2,046 |
| 249 | 2.207.192.0/21 | 2.207.192.1 to 2.207.199.254 | 2.207.199.255 | 2,046 |
| 250 | 2.207.200.0/21 | 2.207.200.1 to 2.207.207.254 | 2.207.207.255 | 2,046 |
| 251 | 2.207.208.0/21 | 2.207.208.1 to 2.207.215.254 | 2.207.215.255 | 2,046 |
| 252 | 2.207.216.0/21 | 2.207.216.1 to 2.207.223.254 | 2.207.223.255 | 2,046 |
| 253 | 2.207.224.0/21 | 2.207.224.1 to 2.207.231.254 | 2.207.231.255 | 2,046 |
| 254 | 2.207.232.0/21 | 2.207.232.1 to 2.207.239.254 | 2.207.239.255 | 2,046 |
| 255 | 2.207.240.0/21 | 2.207.240.1 to 2.207.247.254 | 2.207.247.255 | 2,046 |
| 256 | 2.207.248.0/21 | 2.207.248.1 to 2.207.255.254 | 2.207.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |